package com.hzya.frame.sys.thirdparty.api.testparameter.entity;

import java.util.Date;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;

/**
 * @description: 第三方应用接口测试参数表
 * @tableName: sys_thirdparty_api_testparameter
 * @entityName: SysThirdpartyapiTestparameter
 * @author: llg
 * @history: 1.0
 */
public class SysThirdpartyapiTestparameter extends BaseEntity {

    /**
     * 唯一标识码
     */
    private String id;
    /**
     * 接口id
     */
    private String thirdpartyApiId;
    /**
     * 接口测试id
     */
    private String thirdpartyApiTestId;

    /**
     * 参数
     */
    private String name;
    /**
     * 参数值
     */
    private String value;
    /**
     * 参数类型
     */
    private String type;
    /**
     * 排序号
     */
    private Long sorts;
    /**
     * 创建人id
     */
    private String orgId;
    /**
     * 状态(Y正常N删除)
     */
    private String sts;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 创建人id
     */
    private String createUserId;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date modifyTime;
    /**
     * 修改人id
     */
    private String modifyUserId;
    private String sort;
    private String order;

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getOrder() {
        return order;
    }

    public void setOrder(String order) {
        this.order = order;
    }

    /**
     * 唯一标识码
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 唯一标识码
     */
    public String getId() {
        return id;
    }

    /**
     * 接口id
     */
    public void setThirdpartyApiId(String thirdpartyApiId) {
        this.thirdpartyApiId = thirdpartyApiId;
    }

    /**
     * 接口id
     */
    public String getThirdpartyApiId() {
        return thirdpartyApiId;
    }

    /**
     * 接口测试id
     */
    public void setThirdpartyApiTestId(String thirdpartyApiTestId) {
        this.thirdpartyApiTestId = thirdpartyApiTestId;
    }

    /**
     * 接口测试id
     */
    public String getThirdpartyApiTestId() {
        return thirdpartyApiTestId;
    }

    /**
     * 参数
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 参数
     */
    public String getName() {
        return name;
    }

    /**
     * 参数值
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * 参数值
     */
    public String getValue() {
        return value;
    }

    /**
     * 参数类型
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * 参数类型
     */
    public String getType() {
        return type;
    }

    /**
     * 排序号
     */
    public void setSorts(Long sorts) {
        this.sorts = sorts;
    }

    /**
     * 排序号
     */
    public Long getSorts() {
        return sorts;
    }

    /**
     * 创建人id
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    /**
     * 创建人id
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 状态(Y正常N删除)
     */
    public void setSts(String sts) {
        this.sts = sts;
    }

    /**
     * 状态(Y正常N删除)
     */
    public String getSts() {
        return sts;
    }

    /**
     * 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建人id
     */
    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId;
    }

    /**
     * 创建人id
     */
    public String getCreateUserId() {
        return createUserId;
    }

    /**
     * 修改时间
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 修改时间
     */
    public Date getModifyTime() {
        return modifyTime;
    }

    /**
     * 修改人id
     */
    public void setModifyUserId(String modifyUserId) {
        this.modifyUserId = modifyUserId;
    }

    /**
     * 修改人id
     */
    public String getModifyUserId() {
        return modifyUserId;
    }


}
